Bug 784944 - Review Request: ktp-accounts-kcm - KDE Configuration Module for Telepathy Instant Messaging Accounts
Review Request: ktp-accounts-kcm - KDE Configuration Module for Telepathy Ins...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: 784945
Blocks: kde-reviews kde-telepathy-0.3
  Show dependency treegraph
 
Reported: 2012-01-26 13:37 EST by Rex Dieter
Modified: 2012-02-10 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-10 17:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-01-26 13:37:18 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-accounts-kcm.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-accounts-kcm-0.3.0-1.fc16.src.rpm
Description:  KDE Configuration Module for Telepathy Instant Messaging Accounts


renaming telepathy-kde-0.1 stuff.
Comment 1 nucleo 2012-02-06 22:19:22 EST
name: ok
summary: ok
license: ok
handling locale files: ok
Obsoletes/Provides: ok

BuildRequires: telepathy-qt4-deve not needed because ktp-common-internals-devel requires it.


"rm -f %{buildroot}%{_kde4_libdir}/libkcmtelepathyaccounts.so" is actually not removes anything. Maybe it should be "rm -f %{buildroot}%{_kde4_libdir}/
libktpaccountskcminternal.so" and remove %{_kde4_libdir}/libktpaccountskcminternal.so?

ldd shows that libs installed in kde4 requires only versioned libktpaccountskcminternal.so.4.

This will fix rpmlint warning:
ktp-accounts-kcm.i686: W: devel-file-in-non-devel-package /usr/lib/libktpaccountskcminternal.so

More detailed description can be added from README.
There are many protocol dependencies:
Requires: telepathy-butterfly
Requires: telepathy-gabble
Requires: telepathy-haze
Requires: telepathy-idle
Requires: telepathy-rakia
Requires: telepathy-salut
Requires: telepathy-sunshine

So maybe it makes sense to place every protocol in subpackage with corresponding dependency?
Comment 2 Rex Dieter 2012-02-07 09:08:39 EST
Spec URL:
http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-accounts-kcm.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/telepathy-kde/ktp-accounts-kcm-0.3.0-1.fc16.src.rpm

%changelog
* Tue Feb 07 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- improve %%description
- drop BR: telepathy-qt4-devel
- omit libktpaccountskcminternal.so


Re: So maybe it makes sense to place every protocol in subpackage with
corresponding dependency?

perhaps, but
* currently its simplified to "just work", and follows how gnome/empathy does things
* If we decide to do otherwise, that's a design decision I'd rather make as a team later, and (imo) shouldn't be considered a review blocker here and now.
Comment 3 nucleo 2012-02-07 09:29:57 EST
APPROVED
Comment 4 Rex Dieter 2012-02-09 13:44:08 EST
New Package SCM Request
=======================
Package Name: ktp-common-internals
Short Description: Common internals for KDE Telepathy
Owners: jreznik rdieter
Branches: f16
Comment 5 Rex Dieter 2012-02-09 13:45:21 EST
copy-n-paste fail, let's try again,

New Package SCM Request
=======================
Package Name: ktp-accounts-kcm
Short Description: KDE Configuration Module for Telepathy Instant Messaging Accounts
Owners: jreznik rdieter
Branches: f16
Comment 6 Jon Ciesla 2012-02-09 13:54:53 EST
Git done (by process-git-requests).

Please take ownership of review BZs.  Thanks!

Added f17.
Comment 7 Kevin Kofler 2012-02-09 17:20:49 EST
You can't unassign yourself from an already approved review.
Comment 8 Rex Dieter 2012-02-10 17:09:58 EST
imported

Note You need to log in before you can comment on or make changes to this bug.